=== src/backends/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = default $(GCONF_BUILD) $(KCONFIG_BUILD)

include ../../mk/objective.mk
