## mcs 0.7.2

=== debian/changelog ===
mcs (0.7.2-4) unstable; urgency=low

  * QA Upload
  * Do not call make clean if buildsys.mk does not yet exist
    Closes: #724214

 -- Michael Ablassmeier <abi@debian.org>  Wed, 13 Nov 2013 00:13:29 +0100

mcs (0.7.2-3) unstable; urgency=low

  * Don't pass NULL to printf (Closes: #634879).
  * Acknowledge an NMU.
  * Orphan the package.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 10 Apr 2013 09:38:33 +0200

mcs (0.7.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * [libmcs-dev.preinst libmcs-utils.preinst libmcs-backend-gconf.preinst]:
    On upgrades check whether the respective entry in /usr/share/doc/ is
    a symlink and remove it.
    [libmcs1.preinst] On upgrades remove /usr/share/doc/libmcs1/html and
    /usr/share/doc/libmcs1/refman.pdf.gz which might have been placed there
    by libmcs-doc, when the broken syminks mentioned above existed.
    Closes: #696069

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Dec 2012 15:09:59 +0100

mcs (0.7.2-2) unstable; urgency=low

  * Fix build depends on LaTeX packages needed to build the documentation
    package (Closes: #634520).

 -- Andrew O. Shadoura <bugzilla@tut.by>  Tue, 19 Jul 2011 23:23:54 +0300

mcs (0.7.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Use dh7 and DebSrc3.0:
    - Drop dpatch.
    - Drop README.source.
    - Use dh_installdocs instead of *.links tricks.
  * debian/control:
    - Depend on autotools-dev (>= 20100122.1) which supports dh7.
    - Update Standards-Version to 3.9.2.
    - Updated the homepage.
    - Updated the descriptions of the packages.
    - Added Vcs-* fields.
    - Purged KConfig backend.
  * Ship *.symbols and *.doc-base files.
  * Link with --as-needed.
  * Don't output ANSI codes during the build process.
  * Ship doxygened documentation (Closes: #521010):
    - Run Doxygen on build.
    - Also depend on LaTeX/TeXLive and Ghostscript.

 -- Andrew O. Shadoura <bugzilla@tut.by>  Thu, 02 Jun 2011 13:59:21 +0300

mcs (0.7.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove dependency on kdelibs4c2a and libqt3-headers by removing
    the binary libmcs-backend-kconfig (Closes: #604317).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 27 Feb 2011 18:10:49 -0300

mcs (0.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - (Standards-Version): Update to 3.9.1.
    - (Depends): Add ${misc:Depends}.
    - (Section): remove inherited same fields.
  * debian/patches
    - (002): New. Define PATH_MAX when not available. Patch thanks to
      Marc Dequènes (Duck) <duck@hurdfr.org> (hurd FTBFS; Closes: #530939).
  * debian/README.source
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 18:29:57 +0300

mcs (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 02 Jun 2008 23:38:11 +0200

mcs (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Drop 000-Fix_library_soname and 002-Fix_big_link_breakage patches,
    fixed upstream.
  * Fix GConf mis-spelling.
  * Add missing ${shlibs:Depends} on mcs-utils.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 12 Mar 2008 22:40:30 +0100

mcs (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Add libmowgli-dev (>= 0.4.0) build depend.
  * Fix debian/watch (Closes: #449816).
  * debian/rules improvement (remove config.* from debdiff).
  * Move homepage to new dpkg standard field.
  * Bump Standards-Version to 3.7.3.
  * Fix manpages' whatis entry (bad SH NAME section).
  * Add 000-Fix_library_soname patch (atheme buildsystem broken).
  * Add 002-Fix_big_link_breakage patch (atheme buildsystem broken).
  * Add 001-Disable_Makefile_silent_output patch.
  * Add mcs-walk-config manpage and update the other ones.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 25 Jan 2008 22:19:49 +0100

mcs (0.4.1-2) unstable; urgency=low

  * Manual build re-schedule.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri,  4 May 2007 23:31:51 +0200

mcs (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #413289).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun,  4 Mar 2007 00:19:08 +0100
