=== debian/control ===
Source: mcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev (>= 20100122.1), libgconf2-dev (>= 2.6.0), libmowgli-dev (>= 0.4.0), doxygen-latex, texlive-fonts-recommended, ghostscript
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.atheme.org/projects/mcs
Vcs-Hg: http://hg.debian.org/hg/collab-maint/mcs
Vcs-Browser: http://hg.debian.org/hg/collab-maint/mcs/summary

Package: libmcs-utils
Section: admin
Architecture: any
Depends: libmcs1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: tools for the maintenance of the mcs system
 Modular Config System is a library and set of tools which abstract the
 storage of configuration settings away from userland applications.
 .
 This package contains a set of tools to deal with mcs managed configurations
 and the mcs system itself.

Package: libmcs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation files for libmcs1
 Modular Config System is a library and set of tools which abstract the
 storage of configuration settings away from userland applications.
 .
 This package contains the HTML and PDF documentation for the library.

Package: libmcs-dev
Section: libdevel
Architecture: any
Depends: libmcs1 (= ${binary:Version}), ${misc:Depends}
Description: development library and headers for libmcs1
 Modular Config System is a library and set of tools which abstract the
 storage of configuration settings away from userland applications.
 .
 This package contains the development library and its headers.

Package: libmcs1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmcs-backend-gconf, libmcs-utils
Description: abstraction library to store configuration settings
 Modular Config System is a library and set of tools which abstract the
 storage of configuration settings away from userland applications.
 .
 It is hoped that by using mcs, that the applications which use it will
 generally have a more congruent feeling in regards to settings.
 .
 Highlights:
  * Cleanly implemented BSD-licenced code.
  * Simple, elegant, non-intrusive programming interface.
  * Modular design allows for third-party configuration backends to be
    implemented without any extra effort on the part of the development
    process of your products.
  * Dummy configuration backend which pretends that the configuration is
    blank.
  * Robust object-oriented design implemented as low-footprint C, mcs only
    adds a ~20KB memory footprint to your application.
  * XDG Base Directory spec compliance.
  * GConf support.
  * It's fast.
 .
 This package contains the runtime library.

Package: libmcs-backend-gconf
Architecture: any
Depends: libmcs1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libmcs-utils
Description: GNOME GConf backend for libmcs
 Modular Config System is a library and set of tools which abstract the
 storage of configuration settings away from userland applications.
 .
 This package provides a GNOME GConf backend to store configurations.
