=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with=autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc --enable-gconf CFLAGS="$(CFLAGS)"

override_dh_auto_clean:
	[ ! -f buildsys.mk ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	doxygen
	rm -f doc/html/jquery.js
	$(MAKE) -C doc/latex pdf && mv doc/latex/*pdf doc
