=== debian/watch ===
version=3
http://distfiles.atheme.org/libmcs-(.+)\.tgz
