=== docs/Makefile ===
thisdir = docs
SUBDIRS = 
include ../build/rules.make

DISTFILES = clr-abi.txt compiler control-flow-analysis.txt order.txt

all-local install-local clean-local test-local run-test-local uninstall-local:

dist-local: dist-default
