=== monoresgen/Makefile ===
thisdir = monoresgen
SUBDIRS =
include ../build/rules.make

PROGRAM = monoresgen.exe
PROGRAM_COMPILE = $(BOOT_COMPILE)

include ../build/executable.make
