## mcs 1.0.5

=== class/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	Mono.Data.Tds			\
 	System.Security			\
 	System.Data			\
+	Mono.Data			\
 	Mono.GetOptions			\
 	System.Web			\
 	System.Web.Services		\
@@ -73,9 +74,6 @@
 DISTFILES = \
 	LICENSE 		\
 	README			\
-	doc/API-notes		\
-	doc/NUnitGuidelines	\
-	doc/notes		\
 	notes/BitVecto32.txt
 
 all-local install-local test-local run-test-local clean-local uninstall-local:
